org.apache.commons.math3.genetics

## Interface CrossoverPolicy

- All Known Implementing Classes:
    CycleCrossover, NPointCrossover, OnePointCrossover, OrderedCrossover, UniformCrossover

      public interface CrossoverPolicy

  Policy used to create a pair of new chromosomes by performing a crossover operation on a source pair of chromosomes.
  Since:
    2.0
  Version:
    $Id: CrossoverPolicy.java 1416643 2012-12-03 19:37:14Z tn $

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `ChromosomePair` | `crossover(Chromosome first, Chromosome second)` Perform a crossover operation on the given chromosomes.

- - ### Method Detail

    - #### crossover

          ChromosomePair crossover(Chromosome first,
                                 Chromosome second)
                                   throws MathIllegalArgumentException

      Perform a crossover operation on the given chromosomes.
      Parameters:
        `first` - the first chromosome.
        `second` - the second chromosome.
      Returns:
        the pair of new chromosomes that resulted from the crossover.
      Throws:
        `MathIllegalArgumentException` - if the given chromosomes are not compatible with this `CrossoverPolicy`

Copyright (c) 2003-2013 Apache Software Foundation